<?php
namespace Incoviba;

use \Model;

class ProyectoTipoUnidad extends Model {
  public static $_table = 'proyecto_tipo_unidad';

  protected $unidades;
  public function unidades() {
    if ($this->unidades === null) {
      $this->unidades = $this->has_many(Unidad::class, 'pt')->find_many();
    }
    return $this->unidades;
  }

  protected $proyecto_obj;
  public function proyecto() {
    if ($this->proyecto_obj === null) {
      $this->proyecto_obj = $this->belongs_to(Proyecto::class, 'proyecto')->find_one();
    }
    return $this->proyecto_obj;
  }
}
